a =  6.0474315681476405
b =  3.999999999999998
Xc =  -0.0
Yc =  8.902427810308258e-16
ang =  -0.0

ang = ang*pi/180.0

# La ecuación paramétrica de la elipse
x(t) = a*cos(t)
y(t) = b*sin(t)
c = cos(ang)
s = sin(ang)

xp(t) = c*x(t) - s*y(t) + Xc
yp(t) = s*x(t) + c*y(t) + Yc

set size ratio -1
set parametric

set trange [0:2*pi]
set xrange [-10:10]
set yrange [-10:10]
unset key
plot 'puntos.txt' w p pt 6 ps 2, xp(t), yp(t) 
pause -1
